Subject: bug#2360: 23.0.90; redirect-frame-focus induces translucent tooltips/frames

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 19 Jul 2021 16:54:25 +0200

Stephen Berman <[email-masked]> writes:

> 1. emacs -Q -fn "Dejavu Sans Mono-10"
> 2. Sanity check:
>    a. Move mouse cursor over a tool bar icons and observe that the
>       tooltips have their normal appearance.
>    b. Type `C-x 5 2' and observe that the newly created frame has its
>       normal appearance, the type `C-x 5 0'.
>    c. M-: (eq (selected-frame) (previous-frame))
>       => t
> 3. M-: (redirect-frame-focus (selected-frame) (previous-frame))
>    a. Move mouse cursor over a tool bar icon and observe that the
>       tooltip is translucent and very light, barely visible.
>    b. Type `C-x 5 2' and observe that the newly created frame is
>       likewise translucent and barely visible.

(I'm going through old bug reports that unfortunately wasn't resolved at
the time.)

I tried this recipe in Emacs 28 under Debian/bullseye, and I couldn't
see anything unusual.  Are you still seeing this bug in recent Emacs
versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no